:root {
  --color-blue-100: #021a47;
  --color-blue-200: #010b1d;
  --color-purple: #2c234d;
  --color-gray-100: #eee;
  --color-gray-200: #868c98;
}

body {
  color: #677294;
  display: flex;
  flex-direction: column;
  font-size: 16px;
  font-style: normal;
  font-weight: normal;
  min-height: 100vh;
}

main {
  flex: 1;
}

body,
.font-roboto {
  font-family: "Roboto", sans-serif;
}

.text-uppercase {
  text-transform: uppercase;
}

.font-normal {
  font-weight: normal;
}

.font-medium {
  font-weight: 500;
}

.bg-purple {
  background-color: var(--color-purple);
}

.bg-blue-100 {
  background-color: var(--color-blue-100);
}

.bg-blue-200 {
  background-color: var(--color-blue-200);
}

.bg-gray {
  background-color: var(--color-gray-100);
}

.text-gray-200 {
  color: var(--color-gray-200);
}

header {
  border-bottom: 1px solid #ddd;
}

.menu {
  display: none;
  font-size: 95%;
  margin: 0;
}

@media (min-width: 767px) {
  .menu {
    display: flex;
  }
}

.menu li {
  list-style: none;
}

.menu li a {
  color: var(--color-blue-100);
  display: block;
  font-weight: 700;
  padding: 25px 35px;
  text-decoration: none;
  text-transform: uppercase;
}

.menu li.active a,
.menu li a:hover {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-danger-rgb), var(--bs-bg-opacity)) !important;
  color: white;
}

.slider-item {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
}

.hpx-700 {
  min-height: 70vh;
}

@media (min-width: 767px) {
  .hpx-700 {
    height: 85vh;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--color-purple);
  font-family: "Barlow", sans-serif;
  font-weight: 700;
}

strong {
  color: var(--color-purple);
}

p {
  margin-bottom: 1.5rem;
}

@media (min-width: 1200px) {
  .project-imagen {
    height: 480px;
    overflow: hidden;
  }
}

.btn {
  letter-spacing: 1px;
}

.btn-primary {
  background-color: var(--color-blue-100);
  border-color: var(--color-blue-100);
  position: relative;
}

.btn-primary::after {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-danger-rgb), var(--bs-bg-opacity));
  content: "";
  display: block;
  height: 100%;
  left: -10px;
  position: absolute;
  top: 10px;
  width: 100%;
  z-index: -1;
}

.bg-danger .btn-primary::after {
  background-color: var(--bs-white);
}

.index-1 {
  z-index: 1;
}

@media (min-width: 1400px) {
  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 1200px;
  }
}

.wpx-90 {
  width: 90px;
  flex-shrink: 0;
}

.font-italic {
  font-style: italic;
}

@media (min-width: 991px) {
  .grid {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 1rem;
  }
}

.grid > div {
  display: flex;
  align-items: center;
  text-align: center;
}

.line-15 {
  line-height: 1.6;
}

label.error {
  color: var(--bs-danger);
  font-size: 90%;
  font-style: italic;
  margin-top: 0.25rem;
}

.form-control.error {
  border-color: var(--bs-danger);
}
